Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.texteditor
Class ShiftAction

    java.lang.Object
      org.eclipse.jface.action.Action
          org.eclipse.ui.texteditor.ResourceAction
              org.eclipse.ui.texteditor.TextEditorAction
                  org.eclipse.ui.texteditor.ShiftAction

All Implemented Interfaces:
  IAction, IReadOnlyDependent, IUpdate

public class ShiftAction
extends TextEditorAction
implements IReadOnlyDependent

Action for shifting code to the right or left by one indentation level.

Since:
  2.0

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`ShiftAction(ResourceBundle bundle, String prefix, ITextEditor editor, int operationCode)` Creates and initializes the action for the given text editor and operation code.

Method Summary
`boolean` | `isEnabled(boolean isWritable)` Returns whether the actions would be enabled if its target would be enabled given the writable state described by `isWritable`.
`void` | `run()` The `TextOperationAction` implementation of this `IAction` method runs the operation with the current operation code.
`void` | `setEditor(ITextEditor editor)` Retargets this action to the given editor.
`void` | `update()` Always enables this action if it is connected to a text editor.
`protected void` | `updateForTab()` Enablement when tab key is pressed - the current selection has to be cover multiple lines.

Methods inherited from class org.eclipse.ui.texteditor.TextEditorAction
`canModifyEditor, getTextEditor, validateEditorInputState`

Methods inherited from class org.eclipse.ui.texteditor.ResourceAction
`getString, initialize, setHelpContextId`

Methods inherited from class org.eclipse.jface.action.Action
`addPropertyChangeListener, convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, firePropertyChange, firePropertyChange, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, notifyResult, removeAcceleratorText, removeMnemonics, removePropertyChangeListener, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShiftAction

    public ShiftAction(ResourceBundle bundle,
                       String prefix,
                       ITextEditor editor,
                       int operationCode)

  Creates and initializes the action for the given text editor and operation code. The action configures its visual representation from the given resource bundle. The action works by asking the text editor at the time for its text operation target adapter (using `getAdapter(ITextOperationTarget.class)`. The action runs that operation with the given opcode.

Parameters:
  `bundle` - the resource bundle
  `prefix` - a prefix to be prepended to the various resource keys (described in `ResourceAction` constructor), or `null` if none
  `editor` - the text editor
  `operationCode` - the operation code
See Also:
  `TextEditorAction.TextEditorAction(ResourceBundle, String, ITextEditor)`

Method Detail

### run

    public void run()

  The `TextOperationAction` implementation of this `IAction` method runs the operation with the current operation code.

  Specified by:
    `run` in interface `IAction`
  Overrides:
    `run` in class `Action`

### update

    public void update()

  Description copied from class: `TextEditorAction`
  Always enables this action if it is connected to a text editor. If the associated editor is `null`, the action is disabled. Subclasses may override.

  Specified by:
    `update` in interface `IUpdate`
  Overrides:
    `update` in class `TextEditorAction`

### updateForTab

    protected void updateForTab()

  Enablement when tab key is pressed - the current selection has to be cover multiple lines.

  Since:
    3.0

### setEditor

    public void setEditor(ITextEditor editor)

  Description copied from class: `TextEditorAction`
  Retargets this action to the given editor.

  Overrides:
    `setEditor` in class `TextEditorAction`
  Parameters:
    `editor` - the new editor, or `null` if none

### isEnabled

    public boolean isEnabled(boolean isWritable)

  Description copied from interface: `IReadOnlyDependent`
  Returns whether the actions would be enabled if its target would be enabled given the writable state described by `isWritable`. `isEnabled()` and `isEnabled(boolean)` holds the following invariants: isEnabled() == false, if isEnabled(true) == false || isEnabled(false) == false isEnabled() == true, if isEnabled(true) == true || isEnabled(false) == true

  Specified by:
    `isEnabled` in interface `IReadOnlyDependent`
  Parameters:
    `isWritable` -
  Returns:
    the hypothetical enable state of the action

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.